This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 221695 - Add support for Nokia E70
Add support for Nokia E70
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 04:16 EST by Serge Droz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.20-1.2944.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 19:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add Nokia E70 as unusual device (779 bytes, patch)
2007-01-06 04:16 EST, Serge Droz
no flags Details | Diff

  None (edit)
Description Serge Droz 2007-01-06 04:16:59 EST
Description of problem:

The Nokia E70 needs to be treated as an unusual device in
drivers/usb/storage/unusual_devs.h
The appended patch (not by me)  is already in the 2.6.20 kernels. 
It would be nice to get it into the sock fc6 kernels.

Version-Release number of selected component (if applicable):
All kernels up to 2.6.18-1.2869

How reproducible:


Steps to Reproduce:
1. Plug in Nokia E70 to a USB Port 
2. 
3.
  
Actual results:
Jan  4 21:20:59 mobilot kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 3
Jan  4 21:20:59 mobilot kernel: usb 2-1: no configuration chosen from 1 choice



Expected results:

Jan  6 08:25:32 mobilot kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 2
Jan  6 08:25:32 mobilot kernel: usb 2-1: configuration #1 chosen from 1 choice
Jan  6 08:25:32 mobilot kernel: usbcore: registered new driver cdc_ether
Jan  6 08:25:34 mobilot kernel: eth1: register 'rndis_host' at
usb-0000:00:1a.1-1, RNDIS device, 00:17:b0:dd:0d:f3
Jan  6 08:25:34 mobilot kernel: usbcore: registered new driver rndis_host


Additional info:
Comment 1 Serge Droz 2007-01-06 04:16:59 EST
Created attachment 144962 [details]
Add Nokia E70 as unusual device

Note You need to log in before you can comment on or make changes to this bug.